Partially update customer's address - Fabric
Partially update customer's address
cURL
curl --request PATCH \
--url https://api.fabric.inc/v3/customers/{customerId}/customer-address/{addressId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '\n{\n "address": {\n "addressLine1": "123 Main St.",\n "addressLine2": "Suite 100",\n "addressLine3": "Seventh floor",\n "addressLine4": "Attention: Pat E. Doe",\n "city": "Seattle",\n "region": "WA",\n "postalCode": 98121,\n "country": "US",\n "latitude": 47.6205,\n "longitude": -122.3493\n },\n "isDefault": false,\n "additionalAttributes": {\n "landmark": "Beach"\n }\n}'
Python Example
import requests
url = "https://api.fabric.inc/v3/customers/{customerId}/customer-address/{addressId}"
payload = {
"address": {
"addressLine1": "123 Main St.",
"addressLine2": "Suite 100",
"addressLine3": "Seventh floor",
"addressLine4": "Attention: Pat E. Doe",
"city": "Seattle",
"region": "WA",
"postalCode": 98121,
"country": "US",
"latitude": 47.6205,
"longitude": -122.3493
},
"isDefault": False,
"additionalAttributes": { "landmark": "Beach" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
JavaScript Example
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: {
addressLine1: '123 Main St.',
addressLine2: 'Suite 100',
addressLine3: 'Seventh floor',
addressLine4: 'Attention: Pat E. Doe',
city: 'Seattle',
region: 'WA',
postalCode: 98121,
country: 'US',
latitude: 47.6205,
longitude: -122.3493
},
isDefault: false,
additionalAttributes: {landmark: 'Beach'}
})
};
fetch('https://api.fabric.inc/v3/customers/{customerId}/customer-address/{addressId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP Example
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/customers/{customerId}/customer-address/{addressId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'address' => [
'addressLine1' => '123 Main St.',
'addressLine2' => 'Suite 100',
'addressLine3' => 'Seventh floor',
'addressLine4' => 'Attention: Pat E. Doe',
'city' => 'Seattle',
'region' => 'WA',
'postalCode' => 98121,
'country' => 'US',
'latitude' => 47.6205,
'longitude' => -122.3493
],
'isDefault' => false,
'additionalAttributes' => [
'landmark' => 'Beach'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Example Response
{
"id": "61604a30fdfacd0009816e44",
"address": {
"type": "BILLING",
"addressLine1": "123 Main St.",
"addressLine2": "Suite 100",
"addressLine3": "Seventh floor",
"addressLine4": "Attention: Pat E. Doe",
"city": "Seattle",
"region": "WA",
"postalCode": 98121,
"county": "King County",
"country": "US",
"latitude": 47.6205,
"longitude": -122.3493
},
"isDeleted": false,
"createdAt": "2023-08-30T23:20:42.822Z",
"updatedAt": "2023-08-30T23:20:42.822Z",
"additionalAttributes": {
"landmark": "Beach"
},
"isDefault": false,
"deletedAt": "2023-08-30T23:20:42.822Z"
}